/* src/spacing.css */
.m-0 {
  margin: 0 !important;
}
.mt-0,
.my-0 {
  margin-top: 0 !important;
}
.mr-0,
.mx-0 {
  margin-right: 0 !important;
}
.mb-0,
.my-0 {
  margin-bottom: 0 !important;
}
.ml-0,
.mx-0 {
  margin-left: 0 !important;
}
.m-1 {
  margin: 0.25rem !important;
}
.mt-1,
.my-1 {
  margin-top: 0.25rem !important;
}
.mr-1,
.mx-1 {
  margin-right: 0.25rem !important;
}
.mb-1,
.my-1 {
  margin-bottom: 0.25rem !important;
}
.ml-1,
.mx-1 {
  margin-left: 0.25rem !important;
}
.m-2 {
  margin: 0.5rem !important;
}
.mt-2,
.my-2 {
  margin-top: 0.5rem !important;
}
.mr-2,
.mx-2 {
  margin-right: 0.5rem !important;
}
.mb-2,
.my-2 {
  margin-bottom: 0.5rem !important;
}
.ml-2,
.mx-2 {
  margin-left: 0.5rem !important;
}
.m-3 {
  margin: 1rem !important;
}
.mt-3,
.my-3 {
  margin-top: 1rem !important;
}
.mr-3,
.mx-3 {
  margin-right: 1rem !important;
}
.mb-3,
.my-3 {
  margin-bottom: 1rem !important;
}
.ml-3,
.mx-3 {
  margin-left: 1rem !important;
}
.m-4 {
  margin: 1.5rem !important;
}
.mt-4,
.my-4 {
  margin-top: 1.5rem !important;
}
.mr-4,
.mx-4 {
  margin-right: 1.5rem !important;
}
.mb-4,
.my-4 {
  margin-bottom: 1.5rem !important;
}
.ml-4,
.mx-4 {
  margin-left: 1.5rem !important;
}
.m-5 {
  margin: 3rem !important;
}
.mt-5,
.my-5 {
  margin-top: 3rem !important;
}
.mr-5,
.mx-5 {
  margin-right: 3rem !important;
}
.mb-5,
.my-5 {
  margin-bottom: 3rem !important;
}
.ml-5,
.mx-5 {
  margin-left: 3rem !important;
}
.p-0 {
  padding: 0 !important;
}
.pt-0,
.py-0 {
  padding-top: 0 !important;
}
.pr-0,
.px-0 {
  padding-right: 0 !important;
}
.pb-0,
.py-0 {
  padding-bottom: 0 !important;
}
.pl-0,
.px-0 {
  padding-left: 0 !important;
}
.p-1 {
  padding: 0.25rem !important;
}
.pt-1,
.py-1 {
  padding-top: 0.25rem !important;
}
.pr-1,
.px-1 {
  padding-right: 0.25rem !important;
}
.pb-1,
.py-1 {
  padding-bottom: 0.25rem !important;
}
.pl-1,
.px-1 {
  padding-left: 0.25rem !important;
}
.p-2 {
  padding: 0.5rem !important;
}
.pt-2,
.py-2 {
  padding-top: 0.5rem !important;
}
.pr-2,
.px-2 {
  padding-right: 0.5rem !important;
}
.pb-2,
.py-2 {
  padding-bottom: 0.5rem !important;
}
.pl-2,
.px-2 {
  padding-left: 0.5rem !important;
}
.p-3 {
  padding: 1rem !important;
}
.pt-3,
.py-3 {
  padding-top: 1rem !important;
}
.pr-3,
.px-3 {
  padding-right: 1rem !important;
}
.pb-3,
.py-3 {
  padding-bottom: 1rem !important;
}
.pl-3,
.px-3 {
  padding-left: 1rem !important;
}
.p-4 {
  padding: 1.5rem !important;
}
.pt-4,
.py-4 {
  padding-top: 1.5rem !important;
}
.pr-4,
.px-4 {
  padding-right: 1.5rem !important;
}
.pb-4,
.py-4 {
  padding-bottom: 1.5rem !important;
}
.pl-4,
.px-4 {
  padding-left: 1.5rem !important;
}
.p-5 {
  padding: 3rem !important;
}
.pt-5,
.py-5 {
  padding-top: 3rem !important;
}
.pr-5 {
  padding-right: 3rem !important;
}
.pb-5,
.py-5 {
  padding-bottom: 3rem !important;
}
.pl-5 {
  padding-left: 3rem !important;
}
.px-5 {
  padding-left: 1.75rem !important;
  padding-right: 3rem !important;
}
.px-6 {
  height: 50px;
}
.m-n1 {
  margin: -0.25rem !important;
}
.mt-n1,
.my-n1 {
  margin-top: -0.25rem !important;
}
.mr-n1,
.mx-n1 {
  margin-right: -0.25rem !important;
}
.mb-n1,
.my-n1 {
  margin-bottom: -0.25rem !important;
}
.ml-n1,
.mx-n1 {
  margin-left: -0.25rem !important;
}
.m-n2 {
  margin: -0.5rem !important;
}
.mt-n2,
.my-n2 {
  margin-top: -0.5rem !important;
}
.mr-n2,
.mx-n2 {
  margin-right: -0.5rem !important;
}
.mb-n2,
.my-n2 {
  margin-bottom: -0.5rem !important;
}
.ml-n2,
.mx-n2 {
  margin-left: -0.5rem !important;
}
.m-n3 {
  margin: -1rem !important;
}
.mt-n3,
.my-n3 {
  margin-top: -1rem !important;
}
.mr-n3,
.mx-n3 {
  margin-right: -1rem !important;
}
.mb-n3,
.my-n3 {
  margin-bottom: -1rem !important;
}
.ml-n3,
.mx-n3 {
  margin-left: -1rem !important;
}
.m-n4 {
  margin: -1.5rem !important;
}
.mt-n4,
.my-n4 {
  margin-top: -1.5rem !important;
}
.mr-n4,
.mx-n4 {
  margin-right: -1.5rem !important;
}
.mb-n4,
.my-n4 {
  margin-bottom: -1.5rem !important;
}
.ml-n4,
.mx-n4 {
  margin-left: -1.5rem !important;
}
.m-n5 {
  margin: -3rem !important;
}
.mt-n5,
.my-n5 {
  margin-top: -3rem !important;
}
.mr-n5,
.mx-n5 {
  margin-right: -3rem !important;
}
.mb-n5,
.my-n5 {
  margin-bottom: -3rem !important;
}
.ml-n5,
.mx-n5 {
  margin-left: -3rem !important;
}
.m-auto {
  margin: auto !important;
}
.mt-auto,
.my-auto {
  margin-top: auto !important;
}
.mr-auto,
.mx-auto {
  margin-right: auto !important;
}
.mb-auto,
.my-auto {
  margin-bottom: auto !important;
}
.ml-auto,
.mx-auto {
  margin-left: auto !important;
}
.w-25 {
  width: 25% !important;
}
.w-50 {
  width: 50% !important;
}
.w-75 {
  width: 75% !important;
}
.w-100 {
  width: 100% !important;
}
.w-auto {
  width: auto !important;
}
.h-25 {
  height: 25% !important;
}
.h-50 {
  height: 50% !important;
}
.h-75 {
  height: 75% !important;
}
.h-100 {
  height: 100% !important;
}
.h-auto {
  height: auto !important;
}
.mw-100 {
  max-width: 100% !important;
}
.mh-100 {
  max-height: 100% !important;
}
.min-vw-100 {
  min-width: 100vw !important;
}
.min-vh-100 {
  min-height: 100vh !important;
}
.vw-100 {
  width: 100vw !important;
}
.vh-100 {
  height: 100vh !important;
}

/* src/styles.css */
.icon.icon-default {
  position: relative;
  top: 10px;
  vertical-align: top;
}
#overall-status .twelve.columns .twelve.columns,
#overall-status .twelve.columns > .row {
  margin: 0;
}
#overall-status .ten.columns {
  min-height: 34px;
}
#overall-status svg {
  top: 0;
  margin-right: 10px;
}
#overall-status ids-icon {
  top: 0;
  margin-right: 10px;
}
#overall-status .status-row {
  padding: 10px 15px;
}
app-region-and-product-status-details-modal .accordion-header.is-selected svg,
app-product-status-details-modal .accordion-header.is-selected svg,
app-product-status .accordion-header.is-selected svg {
  color: white !important;
}
app-region-and-product-status-details-modal ids-accordion-header[selected=true] ids-icon::part(svg),
app-product-status-details-modal ids-accordion-header[selected=true] ids-icon::part(svg),
app-product-status ids-accordion-header[selected=true] ids-icon::part(svg) {
  color: white !important;
}
app-product-status .datagrid-filter-wrapper {
  display: none !important;
}
.override-accordion-header-selected {
  background-color: transparent !important;
  border: 1px solid transparent !important;
}
.override-accordion-header-selected > a,
.override-accordion-header-selected > button > svg,
.override-accordion-header-selected > ids-text,
.override-accordion-header-selected ids-icon::part(svg) {
  color: #2F2F32 !important;
  background-color: transparent !important;
}
ids-accordion-header[aria-expanded=true],
ids-accordion-header[selected=true],
ids-accordion-header[aria-expanded=true] ids-icon::part(svg),
ids-accordion-header[selected=true] ids-icon::part(svg) {
  background-color: #0072ED;
  color: #ffffff;
}
.incident-details-properties h2 {
  display: inline-block;
}
.incident-updates svg,
.incident-status svg {
  margin-right: 10px;
  top: 0;
}
.incident-updates ids-icon,
.incident-status ids-icon {
  margin-right: 10px;
  top: 0;
  color: red;
}
.informational-incident-updates {
  list-style-type: disc;
}
.incident-details-properties .left {
  margin-right: 10px;
  width: 192px;
  text-align: right;
  font-weight: bold;
}
.incident-details-properties .right {
  display: inline-block;
  margin: 0;
  width: auto;
}
.incident-details-properties > div {
  margin-bottom: 2px;
}
.modal .accordion {
  width: 100%;
}
.modal .accordion-pane {
  background-color: #fff !important;
}
.notices-list li,
.maintenance-list li {
  margin-bottom: 5px;
}
.modal-page-container {
  position: fixed;
  z-index: 1021;
}
header.browser-banner {
  background-color: #E84F4F !important;
}
#masthead-icon {
  top: 2px;
}
.notices-list,
.maintenance-list {
  list-style-type: decimal;
}
.error-getting-data-heading {
  display: inline-block;
}
.color-operational {
  background-color: #2ac37147;
  border: 1px solid #2ac371;
}
.color-degradation {
  background-color: #f983004f;
  border: 1px solid #f98300;
}
.color-interruption {
  background-color: #da12173d;
  border: 1px solid #da1217;
}
.color-maintenance {
  background-color: #0066d440;
  border: 1px solid #0066d4;
}
.operational-row {
  background-color: #2ac37147;
  border: 1px solid #2ac371;
}
.degradation-row {
  background-color: #f983004f;
  border: 1px solid #f98300;
}
.interruption-row {
  background-color: #da12173d;
  border: 1px solid #da1217;
}
.maintenance-row {
  background-color: #0066d440;
  border: 1px solid #0066d4;
}
.no-status-row {
  background-color: #2f2f321f;
  border: 1px solid #2f2f32;
}
.component-status-notice {
  background-color: #FBE9BF;
  border: 1px solid #DB7726;
}
.status-accordion-content {
  padding: 0 !important;
}
#main-loading-blocker-div {
  min-height: 95vh;
  min-width: 95vh;
}
.tab-icon {
  display: inline-block;
  padding: 0;
  text-align: center;
  width: 19px;
}
.tab-icon > svg {
  height: 14px !important;
  left: 15px !important;
  position: absolute !important;
  top: 15px !important;
  width: 14px !important;
}
.color-degradation.tab-icon > svg {
  top: 14px !important;
}
#main-loading-blocker {
  top: 45vh;
}
div.datagrid-filter-wrapper.is-empty {
  display: none !important;
}
.d-inline-block {
  display: inline-block !important;
}
.d-block {
  display: block !important;
}
.disc-list {
  list-style-type: disc;
}
.incident-updates-list {
  list-style-type: none;
}
.tab-list-spillover .dropdown-icon-fix > svg {
  margin-left: 40px !important;
  margin-top: -5px !important;
}
.maintenance-item:not(:last-of-type) {
  border-bottom: 1px solid gray;
}
app-upcoming-maintenance .datagrid-row td:not(:first-of-type) .datagrid-cell-wrapper {
  padding: 0 !important;
}
.error-text {
  color: #DA1217 !important;
}
.tab-panel-container .tab-panel {
  overflow-x: hidden;
}
.bold {
  font-weight: bold;
}
@media only screen and (min-width: 600px) {
  .modal-body .loading-indicator {
    width: 500px;
    height: 200px;
  }
}
@media only screen and (min-width: 1000px) {
  .modal-body .loading-indicator {
    width: 1000px;
    height: 325px;
  }
}
@media only screen and (min-width: 1300px) {
  .modal-body .loading-indicator {
    width: 1300px;
    height: 650px;
  }
}

/* angular:styles/global:styles */
